@0x0000002F

Ошибка при установке VPN Cloudflare WARP на Kali?

ОС - Kali 2022.3 LiveUSB (загружаюсь с флешки)
Инструкция WARP - https://pkg.cloudflareclient.com/install

Ошибка -
E: The repository 'https://pkg.cloudflareclient.com kali-rolling Release' does not have a Release file.

Скриншот -
62f8c484e2b3b314528317.png
Весь текст CLI

┌──(kali㉿kali)-[~]
└─$ curl https://pkg.cloudflareclient.com/pubkey.gpg | sudo gpg --yes --dearmor --output /usr/share/keyrings/cloudflare-warp-archive-keyring.gpg
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     
100  1688  100  1688    0     0   4385      0 --:--:-- --:--:-- --:--:--  4395
                                                                             
┌──(kali㉿kali)-[~]
└─$ echo "deb [arch=amd64 signed-by=/usr/share/keyrings/cloudflare-warp-archive-keyring.gpg] https://pkg.cloudflareclient.com/ $(lsb_release -cs) main" | sudo tee /etc/apt/sources.list.d/cloudflare-client.list
deb [arch=amd64 signed-by=/usr/share/keyrings/cloudflare-warp-archive-keyring.gpg] https://pkg.cloudflareclient.com/ kali-rolling main
                                                                             
┌──(kali㉿kali)-[~]
└─$ sudo apt update 
Hit:1 http://kali.koyanet.lv/kali kali-rolling InRelease
Ign:2 https://pkg.cloudflareclient.com kali-rolling InRelease
Err:3 https://pkg.cloudflareclient.com kali-rolling Release
  404  Not Found [IP: 172.64.156.22 443]
Reading package lists... Done
E: The repository 'https://pkg.cloudflareclient.com kali-rolling Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
                                                                             
┌──(kali㉿kali)-[~]
└─$


Я предполагаю, что релиз Debian, на котором собран мой Kali, не поддерживается (на странице инструкции показаны поддерживаемые). Но можно ли тогда обойти это без перескачивания образа?
  • Вопрос задан
  • 101 просмотр
Пригласить эксперта
Ответы на вопрос 1
ky0
@ky0
Миллиардер, филантроп, патологический лгун
The supported releases are:

Bullseye (11)
Buster (10)
Stretch (9)

А у вас почему-то kali-rolling.

Вот на этом шаге нужно не надеяться на lsb_release, а руками подсунуть нужный, имхо:
echo "deb [arch=amd64 signed-by=/usr/share/keyrings/cloudflare-warp-archive-keyring.gpg] https://pkg.cloudflareclient.com/ $(lsb_release -cs) main" | sudo tee /etc/apt/sources.list.d/cloudflare-client.list
Ответ написан
Комментировать
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы